Loading...
Searching...
No Matches
libsbml.AutoProperty Class Reference
Inheritance diagram for libsbml.AutoProperty:
[legend]

## Detailed Description

Auto-detect Python class getX/setX methods.

This class is attached to SBase and automatically applies for all classes which inherit from it. Its purpose is to make libSBML more convenient to use from Python. It works by analyzing classes at class creation time (not at instantiation) and adding corresponding properties (directly calling C methods where possible) to the class dictionary.

Note
  The code should work for python 2.6 upwards, however for python 3 it needs to be attached via constructors.

## Public Member Functions

| __new__ (cls, classname, bases, classdict)

## Member Function Documentation

## __new__()

libsbml.AutoProperty.__new__ | ( |  | cls,
|  |  | classname,
|  |  | bases,
|  |  | classdict )

Iterate over the items in the classdict looking for get/set pairs and declaring them as properties.